//
//  CalibrationDetailCollectionCell.m
//  Lighting
//
//  Created by 曹云霄 on 2017/3/15.
//  Copyright © 2017年 上海勾芒科技有限公司. All rights reserved.
//

#import "CalibrationDetailCollectionCell.h"

@implementation CalibrationDetailCollectionCell


- (void)refreshCell:(CustomTOForumtypeEntity *)entity
{
    switch (entity.type) {
        case NotChoose:
        {
            [self timeLineNotChoose];
        }
            break;
        case Default:
        {
            [self timeLineDefauld];
        }
            break;
        case Selected:
        {
            [self timeLineSelected];
        }
            break;
            
        default:
            break;
    }
    self.monthLabel.text = entity.month;
}


#pragma mark -时间轴选中状态
- (void)timeLineSelected
{
    self.userInteractionEnabled = YES;
    self.monthLabel.textColor = RGB(2, 83, 212, 1);
}

#pragma mark -时间轴默认状态
- (void)timeLineDefauld
{
    self.userInteractionEnabled = YES;
    self.monthLabel.textColor = [UIColor blackColor];
}

#pragma mark -时间轴不可选状态
- (void)timeLineNotChoose
{
    self.userInteractionEnabled = NO;
    self.monthLabel.textColor = [UIColor lightGrayColor];
}



@end
